## GstHipMemoryCopy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseTransform
                        ╰──GstHipMemoryCopy

### Properties

#### device-id

    “device-id” gint

HIP device ID to use (-1 = auto)

Flags : Read / Write

Default value : -1

#### vendor

    “vendor” GstHipVendor *

Vendor type

Flags : Read / Write

Default value : unknown (0)

### Named constants

#### GstHipVendor

##### Members

`unknown` (0) – Unknown
`amd` (1) – AMD
`nvidia` (2) – NVIDIA

The results of the search are